Support » Fixing WordPress » Unable to Automatically Upgrade Plugins

  • I think since moving servers, I’ve been unable to use the automatic upgrade plugin feature. I’ve had to manually ftp upgrade the plugins.

    Here’s the error I get:

    Downloading update from http://downloads.wordpress.org/plugin/sociable.2.9.1.zip

    Warning: ftp_pwd() [function.ftp-pwd]: Deleted /public_html/…/wp-content/upgrade/sociable/sociable/images/n4g.gif in /home/…/public_html/…/wp-admin/includes/class-wp-filesystem-ftpext.php on line 188

    The “Warning: ftp_pwd() [function.ftp-pwd]:…” will repeat itself until I cancel the attempted plugin update.

    I’m guessing this looks like a ftp password issue, but it can’t be because in /wp-content/upgrade folder I see the new version of the plugin uploaded.

Viewing 2 replies - 1 through 2 (of 2 total)
  • This is an interesting problem.

    I’ve just found out that I can automatically upgrade other plugins like Akismet and Seo Title Tag, but I can’t automatically upgrade sociable on 2.51 and 2.6.

    When trying to upgrade sociable in WP 2.51, I get this error:

    Downloading update from http://downloads.wordpress.org/plugin/sociable.2.9.1.zip

    Unpacking the update

    Deactivating the plugin

    Removing the old version of the plugin

    Warning: ftp_pwd() [function.ftp-pwd]: Deleted /public_html/…/wp-content/plugins/sociable//images/newsvine.png in /home/…/public_html/…/wp-admin/includes/class-wp-filesystem-ftpext.php on line 188

    The Warning: ftp_pwd() … part repeats itself.

    Did you try deactivating the plugins and then updating them from that state? I was getting a blank screen when I tried to update them from v 2.8, but when they were deactivated I could do it just fine.

    Your problem may not be the same as mine, but I offer my solution just in case because this problem is all over the boards and NOBODY seems to be answering it.

Viewing 2 replies - 1 through 2 (of 2 total)
  • The topic ‘Unable to Automatically Upgrade Plugins’ is closed to new replies.